gadget_is_otg
Prev | Core Objects and Methods | Next

## Name

gadget_is_otg — return true iff the hardware is OTG-ready

## Synopsis

`int gadget_is_otg (` | struct usb_gadget * | g`)`;

## Arguments

`g`

  controller that might have a Mini-AB connector

## Description

This is a runtime test, since kernels with a USB-OTG stack sometimes run on boards which only have a Mini-B (or Mini-A) connector.

Prev | Up | Next
gadget_is_dualspeed | Home | usb_gadget_frame_number